跳转到主要内容
运维管理/监控相关接口/监控报警相关接口/事件(Event)
GETEvent起始版本 4.1.0同步需要认证

查询事件报警器报警记录

查询事件报警器报警记录

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

此接口无需请求参数。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoriesList必填

    详情参考inventories

    • timelong必填

      时间

    • countlong必填

      数量

    • idlong必填

      消息ID

    • createTimelong必填

      创建时间

    • namespaceString必填

      名字空间

    • nameString必填

      名称

    • emergencyLevelString必填

      报警等级

    • resourceIdString必填

      资源UUID

    • errorString必填

      错误信息

      • codeString必填

        错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

      • descriptionString必填

        错误的概要描述

      • detailsString必填

        错误的详细信息

      • elaborationString必填

        保留字段,默认为null

      • opaqueLinkedHashMap必填

        保留字段,默认为null

      • causeErrorCode必填

        根错误,引发当前错误的源错误,若无原错误,该字段为null

    • dataUuidString必填

      消息UUID

    • accountUuidString必填

      账户UUID

    • subscriptionUuidString必填

      事件报警器UUID

    • readStatusBoolean必填

      已读状态

    • labelsString必填

      标签列表

请求地址

GET/zstack/v1/zwatch/event-records

/zstack/v1/zwatch/event-records

操作 ID

QueryEventRecord

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/zwatch/event-records' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "inventories": [ { "id": 1.0, "createTime": 1.510669257141E12, "namespace": "ZStack/PrimaryStorage", "name": "PrimaryStorageDisconnected", "emergencyLevel": "Emergent", "resourceId": "ff1d1d9429da35cfb3d4dfad772d0f3a", "dataUuid": "64f3d04e7144348db07585dfc9293582", "accountUuid": "1f2c621ce02d37268da28bb368f6b265", "subscriptionUuid": "e30c7668d9c13585915da7e6442f6749", "readStatus": true, "labels": "{\"Error\":\"No Host state is Enabled, Please check the availability of the host\"}" } ] }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史